Subject: Re: bug#63470: [PATCH] Use faster option for running vc-hg status

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 May 2023 22:43:52 +0300

> From: Spencer Baugh <[email-masked]>
> Date: Fri, 12 May 2023 15:28:43 -0400
> 
> As the comment says, this causes us to depend on Mercurial 4.2, which
> was released in 2017.  However, in modern Mercurial, removing the
> "re:" "-I" "." options provides a 10x-20x speedup (because it allows
> the Rust implementation of "hg status" to be used), so it's certainly
> worth losing this compatibility.

I don't understand: what will happen to users of Mercurial < 4.2?

And why cannot we detect the version and dispatch on that, instead of
doing this unconditionally?